Ubuntu

Suspend/Resume hangs and fails - Ubuntu 12.04LTS

Reported by pst007x on 2012-04-27
292
This bug affects 60 people
Affects Status Importance Assigned to Milestone
pm-utils (Ubuntu)
Undecided
Unassigned

Bug Description

Suspend/Resume hangs on a black screen and a hard reset is needed to start system.

System76 laptop
Ubuntu 12.04LTS 64bit

Hardware Profile:
pst007x@pst007x-Serval-Professional:~$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: NVIDIA Corporation Device 1211 (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF110 High Definition Audio Controller (rev a1)
02:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
03:00.0 Ethernet controller: JMicron Technology Corp. JMC250 PCI Express Gigabit Ethernet Controller (rev 05)
03:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 90)
03:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 90)
03:00.3 System peripheral: JMicron Technology Corp. MS Host Controller (rev 90)
04:00.0 Network controller: Intel Corporation Centrino Advanced-N 6230 (rev 34)
05:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)
pst007x@pst007x-Serval-Professional:~$

Linux pst007x-Serval-Professional 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

May have something to do with the gnome-power-manager and pm-utils

pst007x (turone) wrote :
pst007x (turone) wrote :
pst007x (turone) wrote :
pst007x (turone) wrote :
summary: - Suspend/Resume hangs and fails
+ Suspend/Resume hangs and fails - Ubuntu 12.04LTS
description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/990129/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Singularity (sjswild) wrote :

Hi all,

I'm a on Xubuntu 12.04.

Hardware profile:
00:00.0 Host bridge: Advanced Micro Devices [AMD] nee ATI RS690 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] nee ATI RS690 PCI to PCI Bridge (Internal gfx)
00:05.0 PCI bridge: Advanced Micro Devices [AMD] nee ATI RS690 PCI to PCI Bridge (PCI Express Port 1)
00:06.0 PCI bridge: Advanced Micro Devices [AMD] nee ATI RS690 PCI to PCI Bridge (PCI Express Port 2)
00:12.0 SATA controller: Advanced Micro Devices [AMD] nee ATI SB600 Non-Raid-5 SATA
00:13.0 USB controller: Advanced Micro Devices [AMD] nee ATI SB600 USB (OHCI0)
00:13.1 USB controller: Advanced Micro Devices [AMD] nee ATI SB600 USB (OHCI1)
00:13.3 USB controller: Advanced Micro Devices [AMD] nee ATI SB600 USB (OHCI3)
00:13.4 USB controller: Advanced Micro Devices [AMD] nee ATI SB600 USB (OHCI4)
00:13.5 USB controller: Advanced Micro Devices [AMD] nee ATI SB600 USB Controller (EHCI)
00:14.0 SMBus: Advanced Micro Devices [AMD] nee ATI SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: Advanced Micro Devices [AMD] nee ATI SB600 IDE
00:14.2 Audio device: Advanced Micro Devices [AMD] nee ATI SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: Advanced Micro Devices [AMD] nee ATI SB600 PCI to LPC Bridge
00:14.4 PCI bridge: Advanced Micro Devices [AMD] nee ATI SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS690M [Radeon X1200 Series]
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
04:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

After going through the suggestion of the bug bot would a safe assumption be that this bug is in pm-utils, since I'm using xfce4-power-manager and I have very different hardware to pst007x thus implying that it is not a kernel bug?

pst007x (turone) on 2012-04-29
description: updated
affects: ubuntu → gnome-power-manager (Ubuntu)
description: updated
pst007x (turone) on 2012-04-29
affects: gnome-power-manager (Ubuntu) → pm-utils (Ubuntu)
Singularity (sjswild) wrote :

Sorry for the run around.

I tried the Oneiric version of pm-utils and standby still didn't work. Not, that I have any experience in this, but since I don't have gnome-power-manager and was using a version of pm-utils that used to work, I would say this is a kernel bug.

Lucas Partridge (oakwing) wrote :

I had the same problem after upgrading my Dell Studio laptop from 11.10 to 12.04. The system would not wake after suspending. Instead I got a black screen and had to switch the machine off and on. Whilst trying to fix another upgrade issue (loss of wobbly windows) I downloaded and activated the Nvidia display driver and rebooted the machine. Then suspend and resume worked as expected (and wobbly windows!).

I don't know why the Nvidia driver was deactivated/lost during the upgrade. Another machine I use also upgraded from 11.10 to 12.04 without deactivating its Nvidia driver.

Hakker2000 (silvian-dragan) wrote :

I have the exact same problem running Ubuntu 12.04 LTS x86 version:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/989674

I really hope this gets fixed soon. Hopefully in the upstream kernel.

Hakker2000 (silvian-dragan) wrote :

The only quick fix I managed to figure out while trying desperatly is to hit Ctrl + Alt + F6 when you're met with the black screen to start a ttyl terminal.... then just hit Ctrl + Alt + F7 to reload the GUI. That should fix it temporarily until this bug gets sorted.

Hope that helps for now!

dFlyer (ggaribaldi) wrote :

It's happening with both i386 and amd64 version of the final release of 12.04-LTS. Upon resume from suspend the screen remains black and REISUB is needed to reboot the system. I've tried the above entry of Ctrl + Alt + F7 which does not reload the GUI on my Dell Studio 1735 laptop. I can go to Ctrl + Alt + F1 and shutdown.

Leon Marcus (treesurf) wrote :

Same problem here, although only intermittently.

12.04 x64, Lenovo Ideapad Y550, Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Maxime C. (maxime-corbeau) wrote :

Same problem (doesn't resume from suspend). Configuration:
-12.04 LTS x64
-Asus X53S

All my colleagues also have the same issue (they run laptops such as Samsung and Acer). Please raise the severity on this bug. Suspend is such a basic and useful feature of an OS. It's terrible having to reboot your laptop because you closed the lid. And that's happening with the flagship version of Ubuntu: so bad. Come on guys, fix it, please.

Maxime C. (maxime-corbeau) wrote :

Quite embarrassed but very happy in the end: I've just received the latest updates, and installed them which fixed the issue for me :)

On 05/26/2012 01:09 PM, Maxime C. wrote:
> Quite embarrassed but very happy in the end: I've just received the
> latest updates, and installed them which fixed the issue for me :)

The issue seems to be fixed with latest kernel update for me too

--
Registered Linux User #342067
-----------------------------------------------------------------------
La struttura alare del calabrone non e` adatta al volo, ma lui non lo sa
e vola lo stesso...
     Albert Einstein
-----------------------------------------------------------------------

Robin Lovelace (rob00x-k) wrote :

Affects me too, and interestingly many updates after MarcoBertolini's observation that it "seems to be fixed".
One of the most frustrating things about this bug is that it's intermitent: Just closed the lid now to test and YES it works.
Previous 2 times didn't. It seems to be luck of the draw - or perhaps due to something I'm doing on the system (running a certain program maybe?)

I'm running:

Thinkpad x61, Release 12.04 (precise) 64-bit, Kernel Linux 3.2.0-27-generic, GNOME 3.4.1, 3.8 GiB RAM, Intel® Core™2 Duo CPU L7500 @ 1.60GHz × 2

Singularity (sjswild) wrote :

It's definetely a kernel bug, fixed for some with normal updates, I had to install the 3.4 kernel from here:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

Telmo Amaral (telmoamaral) wrote :

I had the same problem with 12.04 LTS, x86_64, 3.2.0-27-generic, fully updated. It affected both Suspend and Hibernate, and Ctrl+Alt+Fs didn't work, so I had to switch off the machine. Then I realised that I had installed nvidia-current but not nvidia-current-updates, via the Additional Drivers app. Installing the latter solved the issue.

Robin Lovelace (rob00x-k) wrote :

Update: the bug still continues after more updates!

Thanks to Singularity and Telmo for the solution, but this really needs to be fixed in the next update so that people who don't want to or don't know how to install the latest kernel are not affected by this awful disease!

Come Ubuntu staff, sort it out.

vaskoiii (vask) wrote :

3.2 kernels freeze my 12.04 Ubuntu Macbook Pro 2,2 on suspend.

After upgrading to the 3.4 precise kernel I can now suspend:
# uname -a
Linux john 3.4.0-030400-generic #201205210521 SMP Mon May 21 09:22:02 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

@sjswild
Thank you for this:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

From:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/CHANGES
Maybe this helped:
Jonathan Brassow (1):
      MD: Add del_timer_sync to mddev_suspend (fix nasty panic)

More Info:
2.6 kernel will also allow me to suspend.

Robin Lovelace (rob00x-k) wrote :

Just to confirm: upgrade to a more recent kernel fixes the problem: 3.5 in my case.

For others arriving at this page wanting a quick fix, I suggest that using synaptic and the ppa may be easier than downloading the .deb files separately. Here's how:

http://www.upubuntu.com/2012/07/install-linux-kernel-35-from-ppa-on.html

Robin Lovelace (rob00x-k) wrote :

Spoke too soon: still happens intermitently.
More information on similar-looking bug here:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/966744
May be a duplicate.
Robin

vaskoiii (vask) wrote :

I posted too soon as well as freezing on suspend still happens intermittently.

But at least now it works sometimes! I am testing if the behavior is consistent across reboots now. It seems like sometimes I just get lucky after a reboot and suspend will always work. And then sometimes suspend freezes on the first try. Though I may be posting too soon again.

Quinn (firefairy) wrote :

Have tried both swap and script solutions- neither was successful. As this has been fixed in the upstream kernel, can the solution be pulled into Mint, or do we just need to wait until Mint catches up to the version of the kernel that doesn't have the issue?

Quinn (firefairy) wrote :

Apologies- wrong window. :-J

Robin Lovelace (rob00x-k) wrote :

Good luck in your efforts vaskoiii and keep us updated

vaskoiii (vask) wrote :

After booting the 3.4 kernel on my macbook pro 2,2, my computer would either freeze on the first suspend attempt or if the first suspend worked subsequent suspend attempts would always work until reboot.

More Info:

Since my initial post my computer (with the 3.4 kernel) would freeze on suspend when I would do network related changes. ie) configuring a new router / moving to a different network. Freezing would happen on the first suspend attempt after rebooting. To be able to suspend (without freezing) after doing network releated changes, running update manager and performing updates seemed to fix the problem. Changing the network again would result in similar behavior.

Today I just updated to 12.10. Not sure if suspend works better on the 3.5 kernel.

# uname -a
Linux john 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Hope this info helps.

joshyg6 (josheg) wrote :

On 3.5--- here too, and still happens.. Works once, and then doesn't work in following suspends/resumes.. Keeps giving read error i/o error swap error.. It's not the HD, though. Works fine with Windows. Totally a kernel bug.. Why can't the resume/suspend be written to be so much more failsafe than this? Very basic functionality indeed.. Big time problem..

joshyg6 (josheg) wrote :

Maybe it has to do with using the swap disk when in suspend mode?

This problem seems to be related to the JMC250 network controller.
I've had various crashes and dmseg consistently reports the "network-state-changed" as the last line before everything goes dark.

I also found this topic with various possible workarounds. I'm testing them now:
http://ubuntuforums.org/archive/index.php/t-1679008.html

joshyg6 (josheg) wrote :
Download full text (5.5 KiB)

Why won't ubuntu-bug work for xserver-xorg-video-intel ? I'm trying to get you a copy of the dmesg..

pnp 00:08: [irq 12]
pnp 00:08: Plug and Play ACPI device, IDs SYN0403 SYN0400 SYN0002 PNP0f13 (active)
pnp 00:09: [io 0x06a8-0x06af]
pnp 00:09: [irq 4]
pnp 00:09: Plug and Play ACPI device, IDs FPI2004 (active)
pnp: PnP ACPI: found 10 devices
ACPI: ACPI bus type pnp unregistered
PnPBIOS: Disabled by ACPI PNP
pci 0000:04:09.0: res[13]=[io 0x0100-0x00ff] get_res_add_size add_size 100
pci 0000:04:09.0: res[14]=[io 0x0100-0x00ff] get_res_add_size add_size 100
pci 0000:00:1e.0: bridge window [io 0x1000-0x0fff] to [bus 04-05] add_size 1000
pci 0000:04:09.0: res[15]=[mem 0x04000000-0x03ffffff pref] get_res_add_size add_size 4000000
pci 0000:00:1e.0: bridge window [mem 0x04000000-0x03ffffff pref] to [bus 04-05] add_size 4000000
pci 0000:00:1e.0: res[15]=[mem 0x04000000-0x03ffffff pref] get_res_add_size add_size 4000000
pci 0000:00:1e.0: res[13]=[io 0x1000-0x0fff] get_res_add_size add_size 1000
pci 0000:00:1e.0: BAR 15: assigned [mem 0xdc000000-0xdfffffff pref]
pci 0000:00:1e.0: BAR 13: assigned [io 0x4000-0x4fff]
pci 0000:00:1c.0: PCI bridge to [bus 02-02]
pci 0000:00:1c.0: bridge window [io 0x2000-0x2fff]
pci 0000:00:1c.0: bridge window [mem 0xd4000000-0xd5ffffff]
pci 0000:00:1c.0: bridge window [mem 0xd0000000-0xd1ffffff 64bit pref]
pci 0000:00:1c.1: PCI bridge to [bus 03-03]
pci 0000:00:1c.1: bridge window [io 0x3000-0x3fff]
pci 0000:00:1c.1: bridge window [mem 0xd6000000-0xd7ffffff]
pci 0000:00:1c.1: bridge window [mem 0xd2000000-0xd3ffffff 64bit pref]
pci 0000:04:09.0: res[15]=[mem 0x04000000-0x03ffffff pref] get_res_add_size add_size 4000000
pci 0000:04:09.0: res[16]=[mem 0x04000000-0x03ffffff] get_res_add_size add_size 4000000
pci 0000:04:09.0: res[13]=[io 0x0100-0x00ff] get_res_add_size add_size 100
pci 0000:04:09.0: res[14]=[io 0x0100-0x00ff] get_res_add_size add_size 100
pci 0000:04:09.0: BAR 0: assigned [mem 0xf0000000-0xf0000fff]
pci 0000:04:09.0: BAR 15: assigned [mem 0xdc000000-0xdfffffff pref]
pci 0000:04:09.0: BAR 16: assigned [mem 0xf4000000-0xf7ffffff]
pci 0000:04:09.0: BAR 13: assigned [io 0x4000-0x40ff]
pci 0000:04:09.0: BAR 14: assigned [io 0x4400-0x44ff]
pci 0000:04:09.0: CardBus bridge to [bus 05-08]
pci 0000:04:09.0: bridge window [io 0x4000-0x40ff]
pci 0000:04:09.0: bridge window [io 0x4400-0x44ff]
pci 0000:04:09.0: bridge window [mem 0xdc000000-0xdfffffff pref]
pci 0000:04:09.0: bridge window [mem 0xf4000000-0xf7ffffff]
pci 0000:00:1e.0: PCI bridge to [bus 04-05]
pci 0000:00:1e.0: bridge window [io 0x4000-0x4fff]
pci 0000:00:1e.0: bridge window [mem 0xd8000000-0xd80fffff]
pci 0000:00:1e.0: bridge window [mem 0xdc000000-0xdfffffff pref]
pci 0000:00:1e.0: enabling device (0004 -> 0007)
pci 0000:00:1e.0: setting latency timer to 64
pci_bus 0000:00: resource 4 [io 0x0000-0xffff]
pci_bus 0000:00: resource 5 [mem 0x00000000-0xfffffffff]
pci_bus 0000:02: resource 0 [io 0x2000-0x2fff]
pci_bus 0000:02: resource 1 [mem 0xd4000000-0xd5ffffff]
pci_bus 0000:02: resource 2 [mem 0xd0000000-0xd1ffffff 64bit pref]
pci_bus 0000:03: resource 0 [io 0x3000-0x3fff]
pci_bus 0000:03: resource 1 [mem 0xd6...

Read more...

no longer affects: pm-utils

Adding the jme kernel module to SUSPEND_MODULES fixes this bug on both ubuntu 12.04 LTS and 12.10

Solution: Create the file /etc/pm/config.d/modules with contents 'SUSPEND_MODULES="jme"' (The file is attached)

Some ubuntu tech now has to implement a test if a JMC250 or JMC260 network card is on the system and add the jme module to the SUSPEND_MODULES list. This probably effects the kernel module from uptream kernel.org too.

A lot of the computers mentioned here, also have the same JMicron ehternet cards.

Systems in here that I've found information about:
- Sager/System76/Clevo notebooks (confirmed on those)

I don't know about the other systems and we seem to be dealing with 2 or three different bugs here.

@joshyg6 could you post the output of "lspci" please?

Jeremy Andrews (thejeremy-net) wrote :

I just updated to 12.10 and am finding the problem is worse than before. On 12.04 it happened intermittently, but not on 12.10 it happens every time, so suspend is basically useless. I use a Samsung N150.

Abdul (abdul-1992) wrote :

I've experienced the same issue with 12.04, I was able to workaround it by disabling the ATI driver which isnt ideal but will have to do till this bug has been resolved.

Thanks.

thinkpad (fellowsgarden) wrote :

related to this? http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679231 I, too, get this "failed to resume: error -19" on Thinkpad X41, but happened to me rarely (maybe twice), using docking station (every other day), and only recently. How can I contribute to reporting about it? Is there a specific section in the Log File Viewer which I should copy here?

Scott Moore (scottbomb) wrote :

Running 13.03 development branch. Suspend/resume works fine in IBM T60 laptop. Hangs on blank screen during restart on desktop machine (home-built AMD w/ Athlon and Biostar A780L).

Scott Moore (scottbomb) wrote :

I should add that when going INTO hibernate (shutting down), I see an error show up, something like "resume failed error -121" ... whatever that means.

I've also started having problems.
I'd end up having to force restart (via power button).
Can't access tty1.

A couple of times I'd get this: http://bliz.co.za/FILES/ubuntubug.jpg
The attachment is what I received after I rebooted.

I added the module file as stated above, so will reply if that helps.
I also have JMicron ethernet card;
09:00.0 Ethernet controller: JMicron Technology Corp. JMC250 PCI Express Gigabit Ethernet Controller (rev 05)

I've been having this issue since I installed Ubuntu 12.04 on my Toshiba Z930 laptop.

Suspend will intermittedly work, and then not work - it will fail going into a suspend, the screen will go black and I will not be able to do anything (have to poweroff with button),

It seems that if it DOES make it into suspend mode, It will resume normally, however if the suspend fails, I cannot do anything to recover other than a hard restart.
I don't have a JMicron controller, I'm running Intel -
# lspci | grep -i eth
00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 04)

Additionally, I did a bit of testing earlier today - Manually invoking pam-suspend seems to work, however invoking pam-suspend-hybrid drops me to the black screen (the suspend fails) and I need to hard-reset.

I'm not using LightDM or Unity- I'm running gdm and Gnome3.

I have a feeling that whatever is invoking suspend, is invoking pam-suspend-hybrid and is failing, however I moved the binary and symlinked pam-suspend, and this still did not fix my problem. Anyone have any ideas? This is really irritating and makes my laptop semi-unuseable - If I can't even close the lid while on battery power, i'm basically carrying around a walking desktop that needs to be shut down and rebooted every time I move to a new lecture.

I should also add that I've attempted a kernel upgrade and am now running 3.8.0-27 but this issue is still persistant. I've swapped back to LightDM which has also changed nothing in terms of suspend.

I've found that after booting, i'm able to suspend and resume successfully once, and then after that, when attempting to suspend my laptop, the screen goes black, and the backlight remains on, with the laptop not going into suspend (the power light does not swap to amber and start glowing, it stays green). When this happens, I must force power off the laptop by holding the power button for 10 seconds and then turning it on again.

I've done a lot of research over the last week, and there seem to be quite a few forum posts and bugs open with regards to the suspend issues on Ubuntu 12.04+ with varying degrees of success on fixing it (Some people have custom scripts, others have kernel upgrades, others have no success with any of these fixes)

In reply to the above

If you have a Jmicron ehternet card, you should simply put
SUSPEND_MODULES="jme"

in the file /etc/pm/config.d/modules because that fixes it.

There are also a lot of other bugs related to suspend en resume and not even all the bugs mentioned here are related to the same bug.

However, all System76, Sager and Clevo notebooks (they are all the same) share the problem that can be fixed with the solution I mentioned above because they all have a Jmicron card.

Scratch my reply above. Andrew is right. I can suspend sucessfully once, and after that I have the same symptoms. (blak screen, no suspend, must force power off).

:~$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Blackcomb [Radeon HD 6970M/6990M]
01:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Barts HDMI Audio [Radeon HD 6800 Series]
02:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
03:00.0 Ethernet controller: JMicron Technology Corp. JMC250 PCI Express Gigabit Ethernet Controller (rev 05)
03:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 90)
03:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 90)
03:00.3 System peripheral: JMicron Technology Corp. MS Host Controller (rev 90)
04:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)
05:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)

Just to confirm that this is an issue across multiple hardware vendors, here's what i'm using:
# lspci
00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Ivy Bridge Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.2 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 3 (rev c4)
00:1d.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA Controller [AHCI mode] (rev 04)
01:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 07)
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)

Alex Orlando (2-alex) wrote :

Just like Andrew: I'm having suspend problems on my Ubuntu box running Precise with kernel and xserver upgrades (linux-generic-lts-raring / xserver-xorg-lts-raring). It's a desktop, so it's not a notebook-exclusive issue.

I don't remeber having any suspend issues with the vanilla kernel/xserver.

# lspci
00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Ivy Bridge Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.4 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 5 (rev c4)
00:1d.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a4)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 IDE interface: Intel Corporation Panther Point 4 port SATA Controller [IDE mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
00:1f.5 IDE interface: Intel Corporation Panther Point 2 port SATA Controller [IDE mode] (rev 04)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)

# uname -a
Linux XXXXXX 3.8.0-27-generic #40~precise3-Ubuntu SMP Fri Jul 19 14:38:30 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Just to add some more information - This is not just limited to Suspending.

If I perform a Suspend once, my laptop will also not power off correctly - It will go through the power down sequence, and then hang when the shutdown terminal displays "Powering Off", and will sit there forever until I manually power down the system.

So, this means that I'm able to suspend successfully once, and then unable to perform any other ACPI functions without having to manually power off and power on my laptop using the hardware buttons.

Can the rest of you confirm whether you are able to successfully power off after performing one suspend?

Knowing that this issue is not limited to the suspend function broadens the scope, and also may help pin down what the issue is.

Daniel Daoust (squid3083) wrote :

In my case ubuntu 12.04 64 bit on a desktop, after many updates, I started having resume on suspend fail.

I followed Vliegendehuiskat suggestion for the modules file, which worked until a few days ago when I did an update of system and it did warn me that it was overwriting something ... and I said yes.

Now I just had my first hang and resetted out of there.

In my case the network card is a realtec. Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 09)

Following the modificaton I had done to the modules file, I never had a resume fail.

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.4 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 5 (rev c4)
00:1c.5 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation H77 Express Chipset LPC Controller (rev 04)
00:1f.2 IDE interface: Intel Corporation 7 Series/C210 Series Chipset Family 4-port SATA Controller [IDE mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
00:1f.5 IDE interface: Intel Corporation 7 Series/C210 Series Chipset Family 2-port SATA Controller [IDE mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Caicos HDMI Audio [Radeon HD 6400 Series]
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 09)
04:00.0 PCI bridge: ASMedia Technology Inc. ASM1083/1085 PCIe to PCI Bridge (rev 03)

if this fix is for jme chipset, why did it work on my machine ???

randnotiz (randnotiz) wrote :

I might have found a solution to this.

When I created a new user and tried suspending I finally got to see an error message stating that saned would be disabled and a disconnect from Plymouth.

All I did was activating etc/default/saned and now it works!

Before that I experienced exactly the same as stated in #48.

Hope this helps.

I've tried the solution suggested by randnotiz (Modifying /etc/default/saned and changing run=no to run=yes)

Sadly the issue still remains (Only able to suspend once/power off does not work after one suspend)

randnotiz (randnotiz) wrote :

So after having installed recent updates for mythtv ! I can not login to xfce without constantly changing saned either to on or to off.

When I shut down the computer with sane=yes I will have to change it to sane=no in order to log in

Suspend doesnt work either!

Summed up: Every known solution breaks down after any kind of update!

Tried the recovery mode hoping it would replace some malfunctioning files but it gets stuck under every option (make space, check packages etc.).

Do we really have to setup a complete new system for something like this?

So what's gonna be with this bug? It still persists as of 25 Dec. on both 12.04 and 13.10 (on two very different hardware setups). Random freezes either on the way down or on the way back up.

Guys, this kind of... stuff has to stop. Suspend and resume are core functionality - it absolutely MUST work.

pst007x (turone) wrote :

I found this: http://ubuntuforums.org/showthread.php?t=1978290

Seems to be a fix

pst007x (turone) wrote :

I was using Nvidia graphics card and the Nouveau display driver, this seemed to cause the problem.

I moved to a proprietary Nvidia driver, rebooted and suspend now works fine.

So I would suggest checking what driver you are using and changing to the proprietary driver available for your system.

Check in: SYSTEM SETTINGS / SOFTWARE & UPDATES / ADDITIONAL DRIVERS

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.